/** \file VideoEnvironment.h */
// ############################################################################################
//  VideoEnvironment.h
//  Definition & implementation of CVideoEnv class
//  -------------------------------------------------------------------------------------------
//  Copyright (C) 2004-2006 Aloysius Indrayanto
//  This file is part of VortexGE
//
//  This library is free software; you can redistribute it and/or modify it under the terms of
//  the GNU Lesser General Public License as published by the Free Software Foundation; either
//  version 2.1 of the License, or (at your option) any later version.
//
//  This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU Lesser General Public License for more details.
//
//  You should have received a copy of the GNU Lesser General Public License along with this
//  library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
//  Boston, MA 02111-1307 USA.
// ############################################################################################
#ifndef _VIDEO_ENVIRONMENT___VIDEO_ENVIRONMENT_H_
#define _VIDEO_ENVIRONMENT___VIDEO_ENVIRONMENT_H_

// VortexGE headers
#include "../Base/VBasics.h"


// Include a specific video system based on the build macro
#ifdef __USE_X11_VIDEO__
#  include "VID_X11/VX11Environment.h"
#else
#  error "!!! No video system selected !!!"
#endif

#endif
